Bug 447478 - LiveCD Installer formatted / & /boot when I told it not to.
LiveCD Installer formatted / & /boot when I told it not to.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 21:35 EDT by Chris Schembari
Modified: 2008-06-03 17:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-03 17:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schembari 2008-05-19 21:35:06 EDT
Description of problem:
  I reinstalled Windows XP on a PC a while back, which then required me to
reinstall GRUB so I could get at all my Linux programs and data.  I booted the
Fedora 7 KDE i686 LiveCD and ran the Fedora installer from the live desktop. I
selected "Custom installation" from the main menu and then specified the correct
mount points for each of the pre-existing Linux partitions.*  I then made quite
sure to specify that none of the partitions be formatted and that the data
thereon be left intact.  With each partition, the installer asked me if I was
sure that I wanted to not format it, and I clicked again "do not format".  I
also specified to install the bootloader with a password, as before.  The
installer continued through its various steps.  After I told it to begin
installation, I noticed the comment that it was "Installing live image to hard
drive", which took several minutes, then installed the bootloader, and otherwise
seemed to function normally.  After reboot, I found that, on the plus side, it
appeared that my data and hidden "settings" files on the "/home" volume were
intact, but all the programs I downloaded from Fedora that were not part of the
LiveCD were gone.  Also gone was any mention of the various updated kernels
downloaded from Fedora that should have still been on "/boot".  I had to
re-download all updates and still have to re-download the rest of the programs I
want that don't come on the LiveCD.

* 101MB ext3 "/boot" and an LVM group with a 40GB "/" LV, a 45+GB "/home" LV,
and a 800+MB swap LV, too, of course.

Version-Release number of selected component:  The version of anaconda that
shipped with F7 when it was released.


How reproducible:
Only tried it the one time, and I'm not eager to repeat the experience!

Steps to Reproduce: See above.
  
Actual results:  See above.


Expected results:
  There should be a simple means through the LiveCD to reinstall/update/correct
the bootloader without changing anything on the partitions themselves.  The
program should recognize a pre-existing installation with files that have later
version numbers than what comes on the CD and leave them on the hard drive.
  Above all, the installer should respect and fully comply with my commands when
I specifically tell it to not format anything, just install grub.

Additional info:
Comment 1 Jóhann B. Guðmundsson 2008-05-20 09:08:21 EDT
If I'm understanding this one correctly than you wanted to restore grub
on the master boot record ( mbr ) Correct?

Installing Grub of the live through anaconda is not the correct 
step to do so.

The proper way is to boot Fedora Rescue CD or Fedora Live CD
chroot into the / partition ( you need to create a temporary directory 
from if your using live cd then find the partition ( fdisk -l ) and mount
that partition to the temporary directory ) then do grub-install /dev/[HD)

man/info fdisk, man/info chroot, man/info grub, man/info mkdir.

Google "grub restoring mbr"

You might wanna contact those who actually create the live spins and ask them
to create a script that does this..

Comment 2 Chris Schembari 2008-05-20 17:57:17 EDT
(In reply to comment #1)
Thank you.
  Windows XP overwrote Grub on the MBR with its own code, and yes, that's 
exactly what I was trying to do with the Live CD (restore grub), and I didn't 
know another way to do it.
  I'll look for the spin-makers' addresses now and tell them about creating 
such a script; but I'm still concerned about the fact that anaconda did what 
it did when I told it not to.  Good hunting, if you're investigating this.
Comment 3 Andy Lindeberg 2008-06-03 17:31:57 EDT
If anybody encounters this problem with Fedora 9, please reopen this bug report.

Note You need to log in before you can comment on or make changes to this bug.